/* Ticket Overview */
.ticket-card.escalated {
  border: 1px solid red;
}
.btn-history {
  position: absolute;
  bottom: 0px;
  right: -18px;
  width: 30px;
  height: 30px;
  border: 1px solid #CED4D9;
}
.btn-history > .history-view {
  position: absolute;
  top: 35px;
  right: 0px;
  width: 600px;
  height: 150px;
  background: #f7f7f7;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 0px 0px 3px #ddd;
  overflow: hidden;
  overflow-y: auto;
  z-index: 100;
  transition: 0.3s all ease;
}
.btn-history > .history-view.hidden {
  opacity: 0;
  pointer-events: none;
}
.btn-history > .history-view .row:first-child {
  background: #eee;
  font-weight: bold;
}
.btn-history > .history-view .row > div {
  padding: 3px 5px;
  border-bottom: 1px solid #ddd;
}
.btn-history > .history-view .row > div:nth-child(2) {
  font-weight: bold;
}
/* Status */
label.status {
  line-height: 1;
  padding: 5px 15px;
  background: #f5f6f7;
  border: 2px solid #ccc;
  border-radius: 5px;
  color: #444;
  cursor: pointer;
  text-align: center;
  opacity: 0.75;
  overflow: hidden;
  transition: 0.3s all ease;
}
label.status:hover {
  opacity: 1;
}
label.status.open::after {
  content: "";
  position: absolute;
  bottom: 0px;
  background: #b266d3;
}
label.status.open {
  background: #d9b3e9;
  /* linear-gradient(180deg, #e7d0f2, #d9b3e9) */
  border-color: #b266d3;
}
label.status.in-progress {
  background: #c1e5f0;
  border-color: #8dd3e9;
}
label.status.in-qa {
  background: #fad2b0;
  border-color: #f4a460;
  /* sandybrown */
}
label.status.concluded {
  border-color: #000;
  color: #222;
}
/* Manage Ticket */
.ticket-history-container {
  max-height: 400px;
  padding: 10px;
  border: 1px solid #ddd;
  overflow-y: auto;
}
.ticket-history-container::-webkit-scrollbar {
  width: 10px;
}
.ticket-history-container::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 5px;
}
.ticket-history-container::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}
.history-item {
  background-color: #f8f9fa;
  border: 1px solid #ddd;
  border-radius: 8px;
  box-shadow: 0px 0px 5px transparent;
  transition: 0.3s all ease;
}
.history-item:hover {
  background-color: #f4f6f9;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
  color: black;
  /* #fff */
}
.history-item[data-is-external] {
  background: linear-gradient(135deg, #fde9d8, #fad2b0);
}
.history-item > header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0px;
}
.history-item > header.external {
  background: #F4A460;
  color: #fff;
}
.history-item > header label.visibility {
  padding: 5px 15px;
}
.history-item p {
  margin-bottom: 0px;
}
.history-item div.prose {
  margin: 15px;
  box-shadow: 0px 0px 3px #ccc;
  transition: 0.3s all ease;
}
.history-item:hover div.prose {
  background: #fafafa;
}
.prose {
  padding: 15px;
  border-left: 3px solid #dfdfdf;
  background: #f5f6f7;
}
.prose > legend {
  width: calc(100% + 30px);
  margin: -15px;
  margin-bottom: 15px;
  padding: 5px 15px;
  background: rgba(100, 100, 100, 0.1);
  font-size: 17px;
}
.photo-thumbnails {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.photo-thumbnails:empty::after {
  content: "Upload an attachment above to document ticket updates.";
  margin: 15px;
  padding: 15px;
}
.thumbnail,
.photo-thumbnails:empty::after {
  background: #f9f9f9;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.thumbnail {
  position: relative;
  width: auto;
  height: auto;
  margin: 15px;
  padding: 10px;
  padding-bottom: 70px;
  text-align: center;
}
.thumbnail > .img-container {
  max-height: 250px;
  margin-bottom: 12px;
  border-radius: 5px;
  overflow-y: hidden;
}
.thumbnail > b {
  position: absolute;
  bottom: 55px;
  left: 50%;
  width: calc(100% - 20px);
  transform: translateX(-50%);
}
.thumbnail img {
  width: 350px;
  height: auto;
}
.thumbnail > .action-bar {
  position: absolute;
  bottom: 10px;
  display: flex;
  justify-content: center;
  width: calc(100% - 20px);
  height: auto;
  background: #eee;
  border-radius: 5px;
}
.thumbnail > .action-bar > * {
  padding: 5px 15px;
  border-right: 2px solid #ccc;
  cursor: pointer;
  font-size: 20px;
}
.thumbnail > .action-bar > *:last-child {
  border-right: 0px;
}
.fullscreen-icon {
  color: #555;
}
.fullscreen-icon:hover {
  color: #111;
}
.trash-icon {
  color: red;
}
.trash-icon:hover {
  color: darkred;
}
.restore-icon {
  color: #5C91E8;
}
.restore-icon:hover {
  color: #0D6EFD;
}
.fullscreen-popup {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  padding-left: 270px;
  background: rgba(0, 0, 0, 0.3);
  z-index: 1000;
}
.fullscreen-content {
  position: relative;
  padding: 35px;
  background: #333;
  border-radius: 15px;
}
.fullscreen-content > img {
  display: block;
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 80vh;
  margin: 0px auto;
}
.close-button {
  position: absolute;
  top: -15px;
  right: -15px;
  width: 40px;
  height: 40px;
  background: #aaa;
  border: 2px solid #888;
  border-radius: 50%;
  cursor: pointer;
  font-size: 16px;
}
.ticket-service-item > i {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  margin-left: 10px;
  background: #f7f7f7;
  border-radius: 50%;
  font-size: 20px;
  text-align: center;
  transition: 0.3s all ease;
}
.add-icon {
  transition: transform 0.3s ease, color 0.3s ease;
}
.add-icon:hover {
  transform: scale(1.2);
  color: darkgreen;
}
/* Routing */
ul.route-actions {
  list-style: none;
  margin: 10px auto;
  padding: 0px;
}
ul.route-actions > li {
  margin: 5px 0px;
  padding: 3px 10px;
  background: #f7f7f7;
  border: 1px solid #ddd;
  border-radius: 5px;
  text-align: center;
}
